| QxOrm 1.4.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Friends
qx::IxValidatorX Class Reference
QxValidator : QxOrm library validation engine using validator pattern

qx::IxValidatorX : common interface for a list of validators More...

`#include <IxValidatorX.h>`

Inheritance diagram for qx::IxValidatorX:

List of all members.

## Public Member Functions
| IxValidatorX ()
virtual | ~IxValidatorX ()=0
QxInvalidValueX | validate (void *pOwner, const QString &sGroup=QString()) const
IxValidator * | add_NotNull (const QString &sPropertyKey, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_NotEmpty (const QString &sPropertyKey, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_MinValue (const QString &sPropertyKey, long lMinValue, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_MaxValue (const QString &sPropertyKey, long lMaxValue, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_Range (const QString &sPropertyKey, long lMinValue, long lMaxValue, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_MinDecimal (const QString &sPropertyKey, double dMinValue, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_MaxDecimal (const QString &sPropertyKey, double dMaxValue, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_RangeDecimal (const QString &sPropertyKey, double dMinValue, double dMaxValue, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_MinLength (const QString &sPropertyKey, long lMinLength, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_MaxLength (const QString &sPropertyKey, long lMaxLength, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_Size (const QString &sPropertyKey, long lMinLength, long lMaxLength, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_DatePast (const QString &sPropertyKey, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_DateFuture (const QString &sPropertyKey, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_RegExp (const QString &sPropertyKey, const QString &sPattern, const QString &sMessage=QString(), const QString &sGroup=QString())
IxValidator * | add_EMail (const QString &sPropertyKey, const QString &sMessage=QString(), const QString &sGroup=QString())
QStringList | getAllGroup () const
QList< IxValidator_ptr > | getAllValidatorByGroup (const QString &group) const
## Protected Types
typedef QList< IxValidator_ptr > | type_lst_validator
typedef qx_shared_ptr < type_lst_validator > | type_lst_validator_ptr
typedef QxCollection< QString, type_lst_validator_ptr > | type_lst_validator_ptr_by_group
## Protected Member Functions
void | setClass (IxClass *p)
void | insertIntoGroup (IxValidator_ptr pValidator, const QString &sGroup)
IxValidator_ptr | createValidator (IxValidator::validator_type type, const QString &sPropertyKey, const QString &sMessage, const QString &sGroup)
IxDataMember * | getDataMember (const QString &sPropertyKey) const
## Protected Attributes
type_lst_validator_ptr_by_group | m_lstValidatorByGroup
| List of validator by group.
IxClass * | m_pClass
| Class registered into QxOrm context.
## Friends
class | IxClass

## Detailed Description

qx::IxValidatorX : common interface for a list of validators

For more informations about QxValidator module, goto the FAQ of QxOrm website : http://www.qxorm.com/qxorm_en/faq.html#faq_250

Definition at line 63 of file IxValidatorX.h.

## Member Typedef Documentation

typedef QList<IxValidator_ptr> qx::IxValidatorX::type_lst_validator`[protected]`

Definition at line 70 of file IxValidatorX.h.

typedef qx_shared_ptr<type_lst_validator> qx::IxValidatorX::type_lst_validator_ptr`[protected]`

Definition at line 71 of file IxValidatorX.h.

typedef QxCollection<QString, type_lst_validator_ptr> qx::IxValidatorX::type_lst_validator_ptr_by_group`[protected]`

Definition at line 72 of file IxValidatorX.h.

## Constructor & Destructor Documentation

qx::IxValidatorX::IxValidatorX | ( |  | ) |

virtual qx::IxValidatorX::~IxValidatorX | ( |  | ) | `[pure virtual]`

## Member Function Documentation

IxValidator* qx::IxValidatorX::add_DateFuture | ( | const QString & | sPropertyKey,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_DatePast | ( | const QString & | sPropertyKey,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_EMail | ( | const QString & | sPropertyKey,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_MaxDecimal | ( | const QString & | sPropertyKey,
|  | double | dMaxValue,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_MaxLength | ( | const QString & | sPropertyKey,
|  | long | lMaxLength,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_MaxValue | ( | const QString & | sPropertyKey,
|  | long | lMaxValue,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_MinDecimal | ( | const QString & | sPropertyKey,
|  | double | dMinValue,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_MinLength | ( | const QString & | sPropertyKey,
|  | long | lMinLength,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_MinValue | ( | const QString & | sPropertyKey,
|  | long | lMinValue,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_NotEmpty | ( | const QString & | sPropertyKey,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_NotNull | ( | const QString & | sPropertyKey,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_Range | ( | const QString & | sPropertyKey,
|  | long | lMinValue,
|  | long | lMaxValue,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_RangeDecimal | ( | const QString & | sPropertyKey,
|  | double | dMinValue,
|  | double | dMaxValue,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_RegExp | ( | const QString & | sPropertyKey,
|  | const QString & | sPattern,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator* qx::IxValidatorX::add_Size | ( | const QString & | sPropertyKey,
|  | long | lMinLength,
|  | long | lMaxLength,
|  | const QString & | sMessage = `QString()`,
|  | const QString & | sGroup = `QString()`
| ) |  |

IxValidator_ptr qx::IxValidatorX::createValidator | ( | IxValidator::validator_type | type,
|  | const QString & | sPropertyKey,
|  | const QString & | sMessage,
|  | const QString & | sGroup
| ) |  | `[protected]`

QStringList qx::IxValidatorX::getAllGroup | ( |  | ) | const

QList<IxValidator_ptr> qx::IxValidatorX::getAllValidatorByGroup | ( | const QString & | group | ) | const

IxDataMember* qx::IxValidatorX::getDataMember | ( | const QString & | sPropertyKey | ) | const`[protected]`

void qx::IxValidatorX::insertIntoGroup | ( | IxValidator_ptr | pValidator,
|  | const QString & | sGroup
| ) |  | `[protected]`

void qx::IxValidatorX::setClass | ( | IxClass * | p | ) | `[protected]`

QxInvalidValueX qx::IxValidatorX::validate | ( | void * | pOwner,
|  | const QString & | sGroup = `QString()`
| ) |  | const

## Friends And Related Function Documentation

friend class IxClass`[friend]`

Definition at line 66 of file IxValidatorX.h.

## Member Data Documentation

type_lst_validator_ptr_by_group qx::IxValidatorX::m_lstValidatorByGroup`[protected]`

List of validator by group.

Definition at line 74 of file IxValidatorX.h.

IxClass* qx::IxValidatorX::m_pClass`[protected]`

Class registered into QxOrm context.

Definition at line 75 of file IxValidatorX.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxValidator/IxValidatorX.h